# Copyright xyzsu

require 'sketchup.rb'
require 'extensions.rb'

module QuickMakeComponent
  unless file_loaded?(__FILE__)
    ex = SketchupExtension.new('Quick Make Component', 'quick_make_component/main')
    ex.description = 'Quick Make Component enables users to quickly make components without the need for a UI dialog, streamlining the design process and enhancing workflow efficiency.'
    ex.version     = '1.0.0'
    ex.copyright   = 'xyzsu'
    ex.creator     = 'xyzsu'
    Sketchup.register_extension(ex, true)
    file_loaded(__FILE__)
  end
end
